CI 묻고 답하기

제목 PHP 8.2 + CI 4.3.3 에서 에러 문의 (Creation of dynamic property ~ deprecated )
카테고리 CI 4 관련
글쓴이 reerror 작성시각 2023/04/03 12:55:19
댓글 : 6 추천 : 0 스크랩 : 0 조회수 : 3765   RSS

 

PHP 7.2 + CI 4.0.2 에서

PHP 8.2 + CI 4.3.3 으로 올렸습니다.

composer update 로 했고요.

그랬더니 이런 에러가 처음에 나오네요.어디부터 살펴봐야 할까요?

 

 

 

 다음글 현재 url을 유지하면서 프록시를 이용하고 싶습니다. (3)
 이전글 cI 적용질문입니다 (1)

댓글

한대승(불의회상) / 2023/04/03 14:08:09 / 추천 0

PHP 8.2 에서 지원 중단된 기능을 사용하여 발생한 오류입니다.

해결 방법은 

1. 아래 URL 참고하여 관련 코어 코드 수정

PHP 8.2 Dynamic Properties Deprecated: how to use them anyway in a compatible way - Stack Overflow

2. php 8.2 버전이 아닌 하위 버전으로 회귀

3. 코드이그나이터 8.2 지원 버전 나올때 까지 대기

reerror / 2023/04/03 17:15:55 / 추천 0

php 8.1로 내리니 잘 됩니다.

아직 8.2 가 제대로 지원되지 않는것 같습니다.

도움 주셔서 감사합니다.

cilove / 2023/04/04 08:57:09 / 추천 0

app쪽 파일이 수정이 덜됬거나 안된듯합니다.

composer update만 해서 업그레이드가 되는게 안니라서 업데이터 문서에서 지정 하는 부분을 모두 수정하세요.

한대승(불의회상) / 2023/04/04 09:29:15 / 추천 0

cilove님의 의견 감사합니다.

매번 install로 설치하여 테스트하였지 update를 통하여 테스트 한 적은 없었네요.

cilove / 2023/04/04 09:42:36 / 추천 0
제가 알기로는 8.2에서도 ci4가 정상 구동되는걸로 알고있습니다.
reerror / 2023/04/04 15:00:24 / 추천 0

cilove님 의견 감사합니다.

app 쪽 수정이 안된게 맞습니다.

작업해봐야겠습니다.